GET /sites
Este extremo devuelve la lista de todos los sitios creados por el usuario autenticado mediante solicitudes de generación.Respuesta
Lista de objetos de sitio.
Mostrar Propiedades del sitio
Mostrar Propiedades del sitio
curl -X GET https://api.llmgenerator.com/api/v1/sites \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://api.llmgenerator.com/api/v1/sites', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://api.llmgenerator.com/api/v1/sites',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()
{
"sites": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com",
"status": "completed",
"fileUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000",
"fullTextUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000?full=true",
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-20T14:30:00.000Z"
},
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"url": "https://another-example.com",
"status": "completed",
"fileUrl": "https://api.llmgenerator.com/api/v1/file/660e8400-e29b-41d4-a716-446655440001",
"fullTextUrl": null,
"createdAt": "2026-01-10T08:00:00.000Z",
"updatedAt": "2026-01-10T08:15:00.000Z"
}
],
"total": 2
}